package cc.smtweb.system.bpm.web.sys.user.user;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2022-08-15 09:40:57
 * 实体【[用户账号](SYS_USER)】的Entity类
 */
@SwTable("SYS_USER")
public class User extends DefaultEntity {
    public static final String ENTITY_NAME = "SYS_USER";

    public User() {
        super(ENTITY_NAME);
    }

    /**
     * 主键
     */
    public long getId() {
        return getLong("sur_id");
    }

    /**
     * 主键
     */
    public void setId(long sur_id) {
        put("sur_id", sur_id);
    }

    /**
     * 编码
     */
    public String getCode() {
        return getStr("sur_code");
    }

    /**
     * 编码
     */
    public void setCode(String sur_code) {
        put("sur_code", sur_code);
    }

    /**
     * 名称
     */
    public String getName() {
        return getStr("sur_name");
    }

    /**
     * 名称
     */
    public void setName(String sur_name) {
        put("sur_name", sur_name);
    }

    /**
     * 登录帐号
     */
    public String getNicky() {
        return getStr("sur_nicky");
    }

    /**
     * 登录帐号
     */
    public void setNicky(String sur_nicky) {
        put("sur_nicky", sur_nicky);
    }

    /**
     * 用户等级
     */
    public long getLevel() {
        return getLong("sur_level");
    }

    /**
     * 用户等级
     */
    public void setLevel(long sur_level) {
        put("sur_level", sur_level);
    }

    /**
     * 状态
     */
    public int getStatu() {
        return getInt("sur_statu");
    }

    /**
     * 状态
     */
    public void setStatu(int sur_statu) {
        put("sur_statu", sur_statu);
    }

    /**
     * 手机号
     */
    public String getTel() {
        return getStr("sur_tel");
    }

    /**
     * 手机号
     */
    public void setTel(String sur_tel) {
        put("sur_tel", sur_tel);
    }

    /**
     * 邮箱
     */
    public String getEmail() {
        return getStr("sur_email");
    }

    /**
     * 邮箱
     */
    public void setEmail(String sur_email) {
        put("sur_email", sur_email);
    }

    /**
     * 令牌
     */
    public long getOpt() {
        return getLong("sur_opt");
    }

    /**
     * 令牌
     */
    public void setOpt(long sur_opt) {
        put("sur_opt", sur_opt);
    }

    /**
     * 密码
     */
    public String getPwd() {
        return getStr("sur_pwd");
    }

    /**
     * 密码
     */
    public void setPwd(String sur_pwd) {
        put("sur_pwd", sur_pwd);
    }

    /**
     * 头像
     */
    public long getHead() {
        return getLong("sur_head");
    }

    /**
     * 头像
     */
    public void setHead(long sur_head) {
        put("sur_head", sur_head);
    }

    /**
     * 个性签名
     */
    public String getSign() {
        return getStr("sur_sign");
    }

    /**
     * 个性签名
     */
    public void setSign(String sur_sign) {
        put("sur_sign", sur_sign);
    }

    /**
     * 密码等级
     */
    public int getPwdLevel() {
        return getInt("sur_pwd_level");
    }

    /**
     * 密码等级
     */
    public void setPwdLevel(int sur_pwd_level) {
        put("sur_pwd_level", sur_pwd_level);
    }

    /**
     * 备注
     */
    public String getRemark() {
        return getStr("sur_remark");
    }

    /**
     * 备注
     */
    public void setRemark(String sur_remark) {
        put("sur_remark", sur_remark);
    }

    /**
     * 创建时间
     */
    public long getCreate() {
        return getLong("sur_create");
    }

    /**
     * 创建时间
     */
    public void setCreate(long sur_create) {
        put("sur_create", sur_create);
    }
}
